use crate::http::error::Result;
use crate::node::container::list;
use crate::{node::container::get_info, AppState};
use axum::{
    extract::{Path, State},
    response::IntoResponse,
    Json,
};
use serde_json::json;

pub(super) async fn get_one(
    Path(container_name): Path<String>,
    State(state): State<AppState>,
) -> Result<impl IntoResponse> {
    let info = get_info(&state.docker, &container_name).await?;

    Ok(Json(json!(info)))
}

pub(super) async fn get_all(State(state): State<AppState>) -> Result<impl IntoResponse> {
    let containers = list(&state.docker).await?;

    Ok(Json(json!(containers)))
}
