use crate::{node::system::system_info, AppState};
use axum::{response::IntoResponse, routing::get, Json, Router};

mod container;

async fn get_sys_info() -> impl IntoResponse {
    Json(system_info())
}

pub(crate) fn router() -> Router<AppState> {
    Router::new()
        .route("/system-info", get(get_sys_info))
        .nest("/containers", container::router())
}
